SystemOrganization addCategory: #ConfigurationOfTelescope!

Object subclass: #ConfigurationOfTelescope
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfTelescope'!

!ConfigurationOfTelescope class methodsFor: 'development support' stamp: 'LeoPerard 4/14/2014 14:37'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfTelescope class methodsFor: 'private' stamp: 'LeoPerard 4/14/2014 14:37'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfTelescope class methodsFor: 'private' stamp: 'LeoPerard 4/14/2014 14:37'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfTelescope class methodsFor: 'private' stamp: 'LeoPerard 4/14/2014 14:37'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfTelescope class methodsFor: 'metacello tool support' stamp: 'LeoPerard 4/14/2014 14:37'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfTelescope class methodsFor: 'loading' stamp: 'LeoPerard 4/14/2014 14:37'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfTelescope class methodsFor: 'loading' stamp: 'LeoPerard 4/14/2014 14:37'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfTelescope class methodsFor: 'loading' stamp: 'LeoPerard 4/14/2014 14:37'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfTelescope class methodsFor: 'accessing' stamp: 'LeoPerard 4/14/2014 14:37'!
project

	^self new project! !

!ConfigurationOfTelescope class methodsFor: 'development support' stamp: 'LeoPerard 4/14/2014 14:37'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfTelescope methodsFor: 'baselines' stamp: 'LeoPerard 4/14/2014 14:42'!
baseline01: spec
	<version: '0.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec description: 'developpement version'.
		spec author: 'LeoPerard'.
		spec timestamp: '4/14/2014 14:42'.
		spec repository: 'http://smalltalkhub.com/mc/LeoPerard/Telescope/main/'.
		spec project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main/' ].
		spec 
			package: 'Telescope';
			package: 'Telescope-Tests';
			package: 'XMenuModel'.
		spec 
			group: 'Vizualisation' with: #('Telescope' 'XMenuModel' );
			group: 'Menu' with: #('XMenuModel' );
			group: 'Tests' with: #('Telescope-Tests' ). ].
! !

!ConfigurationOfTelescope methodsFor: 'baselines' stamp: 'LeoPerard 4/18/2014 17:08'!
baseline02: spec
	<version: '0.2-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/LeoPerard/Telescope/main/'.
		spec project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main/' ].
		spec 
			package: 'Telescope';
			package: 'Telescope-Tests';
			package: 'XMenuModel'.
		spec 
			group: 'Vizualisation' with: #('Telescope' 'XMenuModel' );
			group: 'Menu' with: #('XMenuModel' );
			group: 'Tests' with: #('Telescope-Tests' ). ].
! !

!ConfigurationOfTelescope methodsFor: 'baselines' stamp: 'LeoPerard 4/22/2014 11:56'!
baseline03: spec
	<version: '0.3-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/LeoPerard/Telescope/main/'.
		spec project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main/' ].
		spec 
			package: 'Telescope';
			package: 'Telescope-Tests';
			package: 'XMenuModel';
			package: 'Moose-Algos-Kontractor'.
		spec 
			group: 'Vizualisation' with: #('Telescope' 'XMenuModel' );
			group: 'Menu' with: #('XMenuModel' );
			group: 'Tests' with: #('Telescope-Tests' );
			group: 'Tools' with: #('Moose-Algos-Kontractor' ). ].
! !

!ConfigurationOfTelescope methodsFor: 'baselines' stamp: 'LeoPerard 4/22/2014 14:03'!
baseline04: spec
	<version: '0.4-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/LeoPerard/Telescope/main/'.
		spec project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: '1.0';
					repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main/' ].
		spec 
			package: 'Telescope';
			package: 'Telescope-Tests';
			package: 'XMenuModel'.
		spec 
			group: 'Vizualisation' with: #('Telescope' 'XMenuModel' );
			group: 'Menu' with: #('XMenuModel' );
			group: 'Tests' with: #('Telescope-Tests' );
			group: 'Tools' with: #(). ].
! !

!ConfigurationOfTelescope methodsFor: 'baselines' stamp: 'LeoPerard 6/24/2014 10:45'!
baseline05: spec
	<version: '0.5-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/LeoPerard/Telescope/main/'.
		spec project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: '1.0';
					repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main/' ].
		spec 
			package: 'Telescope';
			package: 'XMenuModel'. ].
! !

!ConfigurationOfTelescope methodsFor: 'baselines' stamp: 'GuillaumeLarcheveque 7/7/2014 17:41'!
baseline06: spec
	<version: '0.6-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://smalltalkhub.com/mc/LeoPerard/Telescope/main/'.
		spec 
			project: 'Roassal2' with: [
				spec
					className: #ConfigurationOfRoassal2;
					versionString: '1.0';
					repository: 'http://smalltalkhub.com/mc/ObjectProfile/Roassal2/main/' ];
			project: 'BabyMock2' with: [
				spec
					className: #ConfigurationOfBabyMock2;
					versionString: #'stable';
					repository: 'http://smalltalkhub.com/mc/zeroflag/BabyMock2/main/' ].
		spec 
			package: 'Telescope';
			package: 'XMenuModel';
			package: 'Telescope-Tests'. ].
! !

!ConfigurationOfTelescope methodsFor: 'baselines' stamp: 'GuillaumeLarcheveque 4/1/2015 13:28'!
baseline07: spec
	<version: '0.7-baseline'>
	spec
		for: #common
		do: [ 
			spec blessing: #'baseline'.
			spec repository: 'http://smalltalkhub.com/mc/Moose/Telescope/main/'.
			spec
				project: 'Roassal2'
				with: [ 
					spec
								className: #ConfigurationOfRoassalForTelescope;
								versionString: #stable;
								repository: 'http://smalltalkhub.com/mc/Moose/Telescope/main/' ].
			spec
				project: 'BabyMock2'
					with: [ 
							spec
								className: #ConfigurationOfBabyMock2;
								versionString: #stable;
								repository: 'http://smalltalkhub.com/mc/zeroflag/BabyMock2/main/' ];
				project: 'Geometry'
					with: [ 
							spec
								className: #ConfigurationOfGeometry;
								versionString: #development;
								repository: 'http://smalltalkhub.com/mc/NataliaTymchuk/Geometry/main/' ].
			spec
				package: 'Telescope';
				package: 'XMenuModel';
				package: 'Telescope-Tests' ]! !

!ConfigurationOfTelescope methodsFor: 'accessing' stamp: 'LeoPerard 4/14/2014 14:37'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfTelescope methodsFor: 'symbolic versions' stamp: 'LeoPerard 8/19/2014 13:10'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '0.7-baseline'.
! !

!ConfigurationOfTelescope methodsFor: 'accessing' stamp: 'LeoPerard 4/14/2014 14:37'!
project

	^ project ifNil: [ 
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		project := MetacelloMCProject new projectAttributes: self customProjectAttributes. 
		(Smalltalk at: #MetacelloVersionConstructor) on: self project: project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfTelescope methodsFor: 'symbolic versions' stamp: 'GuillaumeLarcheveque 5/21/2015 16:49'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: '0.7'.
! !

!ConfigurationOfTelescope methodsFor: 'versions' stamp: 'LeoPerard 4/14/2014 14:43'!
version02: spec
	<version: '0.2' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.2'.
		spec author: 'LeoPerard'.
		spec timestamp: '4/14/2014 14:43'.
		spec project: 'Roassal2' with: '1.0'.
		spec 
			package: 'Telescope' with: 'Telescope-LeoPerard.11';
			package: 'Telescope-Tests' with: 'Telescope-Tests-LeoPerard.1';
			package: 'XMenuModel' with: 'XMenuModel-LeoPerard.1'. ].
! !

!ConfigurationOfTelescope methodsFor: 'versions' stamp: 'LeoPerard 4/17/2014 10:14'!
version03: spec
	<version: '0.3' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.3'.
		spec author: 'LeoPerard'.
		spec timestamp: '4/17/2014 10:14'.
		spec project: 'Roassal2' with: '1.0'.
		spec 
			package: 'Telescope' with: 'Telescope-LeoPerard.13';
			package: 'Telescope-Tests' with: 'Telescope-Tests-LeoPerard.3';
			package: 'XMenuModel' with: 'XMenuModel-LeoPerard.1'. ].
! !

!ConfigurationOfTelescope methodsFor: 'versions' stamp: 'LeoPerard 4/18/2014 17:08'!
version041: spec
	<version: '0.4.1' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.4.1'.
		spec author: 'LeoPerard'.
		spec timestamp: '4/18/2014 17:08'.
		spec project: 'Roassal2' with: '1.0'.
		spec 
			package: 'Telescope' with: 'Telescope-LeoPerard.16';
			package: 'Telescope-Tests' with: 'Telescope-Tests-LeoPerard.3';
			package: 'XMenuModel' with: 'XMenuModel-LeoPerard.1'. ].
! !

!ConfigurationOfTelescope methodsFor: 'versions' stamp: 'LeoPerard 4/22/2014 11:05'!
version042: spec
	<version: '0.4.2' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.4.2'.
		spec author: 'LeoPerard'.
		spec timestamp: '4/22/2014 11:05'.
		spec project: 'Roassal2' with: '1.0'.
		spec 
			package: 'Telescope' with: 'Telescope-LeoPerard.17';
			package: 'Telescope-Tests' with: 'Telescope-Tests-LeoPerard.3';
			package: 'XMenuModel' with: 'XMenuModel-LeoPerard.1'. ].
! !

!ConfigurationOfTelescope methodsFor: 'versions' stamp: 'LeoPerard 4/22/2014 11:57'!
version044: spec
	<version: '0.4.4' imports: #('0.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.4.4'.
		spec author: 'LeoPerard'.
		spec timestamp: '4/22/2014 11:57'.
		spec project: 'Roassal2' with: '1.0'.
		spec 
			package: 'Telescope' with: 'Telescope-LeoPerard.17';
			package: 'Telescope-Tests' with: 'Telescope-Tests-LeoPerard.3';
			package: 'XMenuModel' with: 'XMenuModel-LeoPerard.1';
			package: 'Moose-Algos-Kontractor' with: 'Moose-Algos-Kontractor-LeoPerard.4'. ].
! !

!ConfigurationOfTelescope methodsFor: 'versions' stamp: 'LeoPerard 4/18/2014 15:08'!
version04: spec
	<version: '0.4' imports: #('0.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.4'.
		spec author: 'LeoPerard'.
		spec timestamp: '4/18/2014 15:08'.
		spec project: 'Roassal2' with: '1.0'.
		spec 
			package: 'Telescope' with: 'Telescope-LeoPerard.15';
			package: 'Telescope-Tests' with: 'Telescope-Tests-LeoPerard.3';
			package: 'XMenuModel' with: 'XMenuModel-LeoPerard.1'. ].
! !

!ConfigurationOfTelescope methodsFor: 'versions' stamp: 'LeoPerard 4/24/2014 11:04'!
version0501: spec
	<version: '0.5.0.1' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.5.0.1'.
		spec author: 'LeoPerard'.
		spec timestamp: '4/24/2014 11:04'.
		spec project: 'Roassal2' with: '1.0'.
		spec 
			package: 'Telescope' with: 'Telescope-LeoPerard.20';
			package: 'Telescope-Tests' with: 'Telescope-Tests-LeoPerard.3';
			package: 'XMenuModel' with: 'XMenuModel-LeoPerard.1'. ].
! !

!ConfigurationOfTelescope methodsFor: 'versions' stamp: 'LeoPerard 4/24/2014 11:20'!
version0502: spec
	<version: '0.5.0.2' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.5.0.2'.
		spec author: 'LeoPerard'.
		spec timestamp: '4/24/2014 11:20'.
		spec project: 'Roassal2' with: '1.0'.
		spec 
			package: 'Telescope' with: 'Telescope-LeoPerard.23';
			package: 'Telescope-Tests' with: 'Telescope-Tests-LeoPerard.3';
			package: 'XMenuModel' with: 'XMenuModel-LeoPerard.1'. ].
! !

!ConfigurationOfTelescope methodsFor: 'versions' stamp: 'LeoPerard 4/23/2014 17:19'!
version050: spec
	<version: '0.5.0' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.5.0'.
		spec author: 'LeoPerard'.
		spec timestamp: '4/23/2014 17:19'.
		spec project: 'Roassal2' with: '1.0'.
		spec 
			package: 'Telescope' with: 'Telescope-LeoPerard.19';
			package: 'Telescope-Tests' with: 'Telescope-Tests-LeoPerard.3';
			package: 'XMenuModel' with: 'XMenuModel-LeoPerard.1'. ].
! !

!ConfigurationOfTelescope methodsFor: 'versions' stamp: 'LeoPerard 4/25/2014 12:40'!
version051: spec
	<version: '0.5.1' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.5.1'.
		spec author: 'LeoPerard'.
		spec timestamp: '4/25/2014 12:40'.
		spec project: 'Roassal2' with: '1.0'.
		spec 
			package: 'Telescope' with: 'Telescope-LeoPerard.23';
			package: 'Telescope-Tests' with: 'Telescope-Tests-LeoPerard.3';
			package: 'XMenuModel' with: 'XMenuModel-LeoPerard.1'. ].
! !

!ConfigurationOfTelescope methodsFor: 'versions' stamp: 'LeoPerard 4/29/2014 17:46'!
version0531: spec
	<version: '0.5.3.1' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.5.3.1'.
		spec author: 'LeoPerard'.
		spec timestamp: '4/29/2014 17:46'.
		spec project: 'Roassal2' with: '1.0'.
		spec 
			package: 'Telescope' with: 'Telescope-LeoPerard.26';
			package: 'Telescope-Tests' with: 'Telescope-Tests-LeoPerard.4';
			package: 'XMenuModel' with: 'XMenuModel-LeoPerard.1'. ].
! !

!ConfigurationOfTelescope methodsFor: 'versions' stamp: 'LeoPerard 4/29/2014 17:35'!
version053: spec
	<version: '0.5.3' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.5.3'.
		spec author: 'LeoPerard'.
		spec timestamp: '4/29/2014 17:35'.
		spec project: 'Roassal2' with: '1.0'.
		spec 
			package: 'Telescope' with: 'Telescope-LeoPerard.25';
			package: 'Telescope-Tests' with: 'Telescope-Tests-LeoPerard.4';
			package: 'XMenuModel' with: 'XMenuModel-LeoPerard.1'. ].
! !

!ConfigurationOfTelescope methodsFor: 'versions' stamp: 'LeoPerard 5/5/2014 10:22'!
version0541: spec
	<version: '0.5.4.1' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.5.4.1'.
		spec author: 'LeoPerard'.
		spec timestamp: '5/5/2014 10:22'.
		spec project: 'Roassal2' with: '1.0'.
		spec 
			package: 'Telescope' with: 'Telescope-LeoPerard.27';
			package: 'Telescope-Tests' with: 'Telescope-Tests-LeoPerard.4';
			package: 'XMenuModel' with: 'XMenuModel-LeoPerard.1'. ].
! !

!ConfigurationOfTelescope methodsFor: 'versions' stamp: 'LeoPerard 4/30/2014 17:24'!
version054: spec
	<version: '0.5.4' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.5.4'.
		spec author: 'LeoPerard'.
		spec timestamp: '4/30/2014 17:24'.
		spec project: 'Roassal2' with: '1.0'.
		spec 
			package: 'Telescope' with: 'Telescope-LeoPerard.27';
			package: 'Telescope-Tests' with: 'Telescope-Tests-LeoPerard.4';
			package: 'XMenuModel' with: 'XMenuModel-LeoPerard.1'. ].
! !

!ConfigurationOfTelescope methodsFor: 'versions' stamp: 'LeoPerard 5/12/2014 10:56'!
version0551: spec
	<version: '0.5.5.1' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.5.5.1'.
		spec author: 'LeoPerard'.
		spec timestamp: '5/12/2014 10:56'.
		spec project: 'Roassal2' with: '1.0'.
		spec 
			package: 'Telescope' with: 'Telescope-LeoPerard.28';
			package: 'Telescope-Tests' with: 'Telescope-Tests-LeoPerard.4';
			package: 'XMenuModel' with: 'XMenuModel-LeoPerard.1'. ].
! !

!ConfigurationOfTelescope methodsFor: 'versions' stamp: 'LeoPerard 5/14/2014 17:42'!
version05521: spec
	<version: '0.5.5.2-1' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.5.5.2-1'.
		spec author: 'LeoPerard'.
		spec timestamp: '5/14/2014 17:42'.
		spec project: 'Roassal2' with: '1.0'.
		spec 
			package: 'Telescope' with: 'Telescope-LeoPerard.29';
			package: 'Telescope-Tests' with: 'Telescope-Tests-LeoPerard.4';
			package: 'XMenuModel' with: 'XMenuModel-LeoPerard.1'. ].
! !

!ConfigurationOfTelescope methodsFor: 'versions' stamp: 'LeoPerard 5/14/2014 17:33'!
version0552: spec
	<version: '0.5.5.2' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.5.5.2'.
		spec author: 'LeoPerard'.
		spec timestamp: '5/14/2014 17:33'.
		spec project: 'Roassal2' with: '1.0'.
		spec 
			package: 'Telescope' with: 'Telescope-LeoPerard.28';
			package: 'Telescope-Tests' with: 'Telescope-Tests-LeoPerard.4';
			package: 'XMenuModel' with: 'XMenuModel-LeoPerard.1'. ].
! !

!ConfigurationOfTelescope methodsFor: 'versions' stamp: 'LeoPerard 5/21/2014 11:45'!
version05531: spec
	<version: '0.5.5.31' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.5.5.31'.
		spec author: 'LeoPerard'.
		spec timestamp: '5/21/2014 11:45'.
		spec project: 'Roassal2' with: '1.0'.
		spec 
			package: 'Telescope' with: 'Telescope-LeoPerard.30';
			package: 'Telescope-Tests' with: 'Telescope-Tests-LeoPerard.4';
			package: 'XMenuModel' with: 'XMenuModel-LeoPerard.1'. ].
! !

!ConfigurationOfTelescope methodsFor: 'versions' stamp: 'LeoPerard 5/21/2014 11:42'!
version0553: spec
	<version: '0.5.5.3' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.5.5.3'.
		spec author: 'LeoPerard'.
		spec timestamp: '5/21/2014 11:42'.
		spec project: 'Roassal2' with: '1.0'.
		spec 
			package: 'Telescope' with: 'Telescope-LeoPerard.29';
			package: 'Telescope-Tests' with: 'Telescope-Tests-LeoPerard.4';
			package: 'XMenuModel' with: 'XMenuModel-LeoPerard.1'. ].
! !

!ConfigurationOfTelescope methodsFor: 'versions' stamp: 'LeoPerard 5/12/2014 09:56'!
version055: spec
	<version: '0.5.5' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.5.5'.
		spec author: 'LeoPerard'.
		spec timestamp: '5/12/2014 09:56'.
		spec project: 'Roassal2' with: '1.0'.
		spec 
			package: 'Telescope' with: 'Telescope-LeoPerard.27';
			package: 'Telescope-Tests' with: 'Telescope-Tests-LeoPerard.4';
			package: 'XMenuModel' with: 'XMenuModel-LeoPerard.1'. ].
! !

!ConfigurationOfTelescope methodsFor: 'versions' stamp: 'LeoPerard 6/24/2014 10:45'!
version06: spec
	<version: '0.6' imports: #('0.5-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.6'.
		spec author: 'LeoPerard'.
		spec timestamp: '6/24/2014 10:45'.
		spec project: 'Roassal2' with: '1.0'.
		spec 
			package: 'Telescope' with: 'Telescope-GuillaumeLarcheveque.208';
			package: 'XMenuModel' with: 'XMenuModel-LeoPerard.1'. ].
! !

!ConfigurationOfTelescope methodsFor: 'versions' stamp: 'GuillaumeLarcheveque 5/21/2015 16:49'!
version07: spec
	<version: '0.7' imports: #('0.7-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version 0.7'.
		spec author: 'GuillaumeLarcheveque'.
		spec timestamp: '5/21/2015 16:49'.
		spec 
			project: 'Roassal2' with: '1.0';
			project: 'BabyMock2' with: '2.0';
			project: 'Geometry' with: '0.1-baseline'.
		spec 
			package: 'Telescope' with: 'Telescope-GuillaumeLarcheveque.350';
			package: 'XMenuModel' with: 'XMenuModel-VincentBlondeau.2';
			package: 'Telescope-Tests' with: 'Telescope-Tests-GuillaumeLarcheveque.48'. ].
! !

!ConfigurationOfTelescope methodsFor: 'versions' stamp: 'LeoPerard 7/24/2014 18:05'!
versionbeta: spec
	<version: 'beta' imports: #('0.6-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'stable'.
		spec description: 'version beta'.
		spec author: 'LeoPerard'.
		spec timestamp: '7/24/2014 18:05'.
		spec 
			project: 'Roassal2' with: '1.0';
			project: 'BabyMock2' with: '2.0'.
		spec 
			package: 'Telescope' with: 'Telescope-LeoPerard.272';
			package: 'XMenuModel' with: 'XMenuModel-LeoPerard.1';
			package: 'Telescope-Tests' with: 'Telescope-Tests-LeoPerard.21'. ].
! !
